<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Categories</title>
</head>

<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                <li><a href="{% url 'logout' %}">Logout</a></li>
                <li><a href="{% url 'create_category' %}">Create Category</a></li>
                <li><a href="{% url 'home' %}">Home</a></li>
                {% else %}
                <li><a href="{% url 'signup' %}">Sign up</a></li>
                <li><a href="{% url 'login' %}">Login</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <main>
        <table>
            <thead>
                <tr>
                    <th scope="col">Name</th>
                    <th scope="col">Number of Receipts</th>
                </tr>
            </thead>
            <tbody>
                {% for category in categories %}
                <tr>
                    <td>{{ category.name }}</td>
                    <td>{{ category.receipts.count }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>

</html>
